Package: org.apache.groovy.ginq.provider.collection

## [Groovy] Class GinqAstWalker

- org.apache.groovy.ginq.provider.collection.GinqAstWalker

- All Implemented Interfaces and Traits:
    GinqAstVisitor<Expression>, SyntaxErrorReportable

      @CompileStatic
      class GinqAstWalker
      extends Object
      implements GinqAstVisitor<Expression>, SyntaxErrorReportable

  Visit AST of GINQ to generate target method calls for GINQ

  Since:
    4.0.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `GinqAstWalker.1` |
    `class` | `GinqAstWalker.10` |
    `class` | `GinqAstWalker.11` |
    `class` | `GinqAstWalker.12` |
    `class` | `GinqAstWalker.13` |
    `class` | `GinqAstWalker.14` |
    `class` | `GinqAstWalker.2` |
    `class` | `GinqAstWalker.3` |
    `class` | `GinqAstWalker.4` |
    `class` | `GinqAstWalker.5` |
    `class` | `GinqAstWalker.6` |
    `class` | `GinqAstWalker.7` |
    `class` | `GinqAstWalker.8` |
    `class` | `GinqAstWalker.9` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<String, String>` | `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GinqAstWalker(SourceUnit sourceUnit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Map<String, String>` | `getConfiguration()`
    `` | `SourceUnit` | `getSourceUnit()`
    `` | `void` | `setConfiguration(Map<String, String> configuration)`
    `` | `Expression` | `visit(AbstractGinqExpression expression)`
    `` | `MethodCallExpression` | `visitFromExpression(FromExpression fromExpression)`
    `` | `MethodCallExpression` | `visitGinqExpression(GinqExpression ginqExpression)`
    `` | `MethodCallExpression` | `visitGroupExpression(GroupExpression groupExpression)`
    `` | `Expression` | `visitHavingExpression(HavingExpression havingExpression)`
    `` | `MethodCallExpression` | `visitJoinExpression(JoinExpression joinExpression)`
    `` | `MethodCallExpression` | `visitLimitExpression(LimitExpression limitExpression)`
    `` | `MethodCallExpression` | `visitOnExpression(OnExpression onExpression)`
    `` | `MethodCallExpression` | `visitOrderExpression(OrderExpression orderExpression)`
    `` | `MethodCallExpression` | `visitSelectExpression(SelectExpression selectExpression)`
    `` | `Expression` | `visitShutdownExpression(ShutdownExpression shutdownExpression)`
    `` | `MethodCallExpression` | `visitWhereExpression(WhereExpression whereExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Map<String, String> configuration

  - ### Constructor Detail

    - #### GinqAstWalker(SourceUnit sourceUnit)

  - ### Method Detail

    - #### @Override Map<String, String> getConfiguration()

    - #### @Override SourceUnit getSourceUnit()

    - #### @Override void setConfiguration(Map<String, String> configuration)

    - #### @Override Expression visit(AbstractGinqExpression expression)

    - #### @Override MethodCallExpression visitFromExpression(FromExpression fromExpression)

    - #### @Override MethodCallExpression visitGinqExpression(GinqExpression ginqExpression)

    - #### @Override MethodCallExpression visitGroupExpression(GroupExpression groupExpression)

    - #### @Override Expression visitHavingExpression(HavingExpression havingExpression)

    - #### @Override MethodCallExpression visitJoinExpression(JoinExpression joinExpression)

    - #### @Override MethodCallExpression visitLimitExpression(LimitExpression limitExpression)

    - #### @Override MethodCallExpression visitOnExpression(OnExpression onExpression)

    - #### @Override MethodCallExpression visitOrderExpression(OrderExpression orderExpression)

    - #### @Override MethodCallExpression visitSelectExpression(SelectExpression selectExpression)

    - #### @Override Expression visitShutdownExpression(ShutdownExpression shutdownExpression)

    - #### @Override MethodCallExpression visitWhereExpression(WhereExpression whereExpression)